#!/bin/bash -ex

dir_parent=$(cd $(dirname $0); pwd)
dir_current_old="${PWD}"

cd ${dir_parent}

kernel_branch=${1}
kernel_version=${2}
if [ ! -f "${kernel_branch}" ]; then
    # no limit, trigger all builds for all the changes as normal
    echo "no limit set for ${kernel_branch}"
    exit 0
fi

kernel_ver_old=$(cat "${kernel_branch}")
if [ "X${kernel_version}X" = "X${kernel_ver_old}X" ]; then
    # do nothing when all the VERSION/PATCHLEVEL/SUBLEVEL are the same
    echo "The kernel version is the same as before"
    exit 1
fi

echo "${kernel_version}" > "${kernel_branch}"
git add "${kernel_branch}"
git commit --no-edit -m "${kernel_branch}: update to ${kernel_version}"
git push origin HEAD:master

cd "${dir_current_old}"
exit 2
